Page MenuHomePhabricator

[ARM] Added more patterns to generate SSAT/USAT with shift
ClosedPublic

Authored by MeeraN on Sep 23 2020, 5:35 AM.

Details

Summary

Added patterns to generate an SSAT or USAT with shift for
SSAT/USAT instructions that are matched from IR patterns.

Diff Detail

Event Timeline

MeeraN created this revision.Sep 23 2020, 5:35 AM
MeeraN requested review of this revision.Sep 23 2020, 5:35 AM
dmgreen added inline comments.Sep 23 2020, 10:14 AM
llvm/lib/Target/ARM/ARMInstrInfo.td
9

Can you rename ARMssatnoshift to just ARMssat (or something similar). The "noshift" doesn't really need to be part of the node name.

MeeraN updated this revision to Diff 294059.Sep 24 2020, 7:52 AM

Renamed ARMssatnoshift and ARMusatnoshift to ARMssat and ARMusat

dmgreen accepted this revision.Sep 25 2020, 2:06 AM

LGTM. Thanks

This revision is now accepted and ready to land.Sep 25 2020, 2:06 AM
This revision was automatically updated to reflect the committed changes.
MeeraN marked an inline comment as done.